Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class RemoveValueOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.ArrayOperation
              org.infinispan.schematic.internal.delta.RemoveValueOperation

    @SerializeWith(value=RemoveValueOperation.Externalizer.class)
    public class RemoveValueOperation

extends ArrayOperation

An atomic array remove operation for SchematicValueDelta.

Since:
  5.1

Nested Class Summary
`static class` | `RemoveValueOperation.Externalizer`

Field Summary
`protected int` | `actualIndex`
`protected Object` | `value`

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`RemoveValueOperation(Path parentPath, Object value)`

Method Summary
`RemoveValueOperation` | `clone()`
`int` | `getActualIndex()`
`Object` | `getRemovedValue()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation
`cloneValues, mutableParent`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`cloneValue, getParentPath`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected final Object value

### actualIndex

    protected transient int actualIndex

Constructor Detail

### RemoveValueOperation

    public RemoveValueOperation(Path parentPath,
                                Object value)

Method Detail

### clone

    public RemoveValueOperation clone()

  Specified by:
    `clone` in class `Operation`

### rollback

    public void rollback(MutableDocument delegate)

  Specified by:
    `rollback` in class `Operation`

### getRemovedValue

    public Object getRemovedValue()

### getActualIndex

    public int getActualIndex()

### replay

    public void replay(MutableDocument delegate)

  Specified by:
    `replay` in class `Operation`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.